# TaxpayerTypesController_GetAcceptableTaxpayerTypesForGivenJurisdictionsAndFilter

Gets a list of licensed taxpayer types for the current master company.

`GET /api/v1/TaxpayerTypes/GetAcceptableTaxpayerTypesForGivenJurisdictionsAndFilter`

**API:** Excise Platform API
**Tag:** TaxpayerTypesController
**API Version:** v1
**Base URL:** https://excise.avalara.com
**Accepts:** `application/json`
**Authentication:** Basic (username + license key)

Source: https://developer.avalara.com/products/excise/api/methods/TaxpayerTypesController/TaxpayerTypesController_GetAcceptableTaxpayerTypesForGivenJurisdictionsAndFilter/

## Description

Returns the list of taxpayer types that are valid for the specified country code and jurisdiction
within the current master company. An optional activity date can be provided to filter results
to taxpayer types that are active as of that date.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `x-company-id` | integer | header | Yes | Company ID that owns the data. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. For more information on the client header, see Client Headers. |
| `countryCode` | string | query | Yes | The country code used to retrieve acceptable taxpayer types. |
| `jurisdiction` | string | query | Yes | The jurisdiction used to retrieve acceptable taxpayer types. |
| `activityDate` | string | query | No | The activity date used to filter acceptable taxpayer types. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Returns a list of acceptable taxpayer types for the specified criteria. |  |

## Example Request

```bash
curl -X GET "https://excise.avalara.com/api/v1/TaxpayerTypes/GetAcceptableTaxpayerTypesForGivenJurisdictionsAndFilter" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```